#!/bin/sh
# Sample simulator to Dakota system call script
# See Advanced Simulation Code Interfaces chapter in Users Manual

# $1 is params.in FROM Dakota
# $2 is results.out returned to Dakota

#--------------
#PRE-PROCESSING
#--------------
#Incorporate the parameters from DAKOTA into the template, writing ros.in
#Use the following line if SNL's APREPRO utility is used instead of DPrePro.
#../aprepro -c '*' -q --nowarning ros.template ros.in

dprepro $1 0/U.template 0/U

# --------
# ANALYSIS : Run OpenFOAM
# --------
pwd
simpleFoam

# ---------------
# POST-PROCESSING
# ---------------

echo "current directory in" ; pwd
# extract L and D from final step of forces file and output –L/D to temporally file
tail -1 postProcessing/forces/0/forces.dat | sed s/[\(\),]/" "/g | awk -F" " '{print -($3+$6)/($2+$5)}' > OF_LbyD_results.tmp
cat OF_LbyD_results.tmp
mv OF_LbyD_results.tmp $2

